Index: /trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/CrossValidationView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/CrossValidationView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Algorithms.DataAnalysis.Views/3.3/CrossValidationView.Designer.cs	(revision 5287)
@@ -110,5 +110,5 @@
       // 
       this.startButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.startButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Play;
+      this.startButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Play;
       this.startButton.Location = new System.Drawing.Point(0, 514);
       this.startButton.Name = "startButton";
@@ -121,5 +121,5 @@
       // 
       this.pauseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.pauseButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Pause;
+      this.pauseButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Pause;
       this.pauseButton.Location = new System.Drawing.Point(30, 514);
       this.pauseButton.Name = "pauseButton";
@@ -132,5 +132,5 @@
       // 
       this.stopButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.stopButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Stop;
+      this.stopButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Stop;
       this.stopButton.Location = new System.Drawing.Point(60, 514);
       this.stopButton.Name = "stopButton";
@@ -143,5 +143,5 @@
       // 
       this.resetButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.resetButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Restart;
+      this.resetButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Restart;
       this.resetButton.Location = new System.Drawing.Point(90, 514);
       this.resetButton.Name = "resetButton";
@@ -362,5 +362,5 @@
       // openProblemButton
       // 
-      this.openProblemButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Open;
+      this.openProblemButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Open;
       this.openProblemButton.Location = new System.Drawing.Point(36, 6);
       this.openProblemButton.Name = "openProblemButton";
@@ -388,5 +388,5 @@
       // newProblemButton
       // 
-      this.newProblemButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.NewDocument;
+      this.newProblemButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.NewDocument;
       this.newProblemButton.Location = new System.Drawing.Point(6, 6);
       this.newProblemButton.Name = "newProblemButton";
@@ -421,5 +421,5 @@
       // openAlgorithmButton
       // 
-      this.openAlgorithmButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Open;
+      this.openAlgorithmButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Open;
       this.openAlgorithmButton.Location = new System.Drawing.Point(38, 6);
       this.openAlgorithmButton.Name = "openAlgorithmButton";
@@ -432,5 +432,5 @@
       // newAlgorithmButton
       // 
-      this.newAlgorithmButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.NewDocument;
+      this.newAlgorithmButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.NewDocument;
       this.newAlgorithmButton.Location = new System.Drawing.Point(8, 6);
       this.newAlgorithmButton.Name = "newAlgorithmButton";
Index: /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/CrossValidation.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/CrossValidation.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/CrossValidation.cs	(revision 5287)
@@ -226,9 +226,9 @@
     public override Image ItemImage {
       get {
-        if (ExecutionState == ExecutionState.Prepared) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutablePrepared;
-        else if (ExecutionState == ExecutionState.Started) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutableStarted;
-        else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutablePaused;
-        else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VS2008ImageLibrary.ExecutableStopped;
-        else return HeuristicLab.Common.Resources.VS2008ImageLibrary.Event;
+        if (ExecutionState == ExecutionState.Prepared) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePrepared;
+        else if (ExecutionState == ExecutionState.Started) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStarted;
+        else if (ExecutionState == ExecutionState.Paused) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutablePaused;
+        else if (ExecutionState == ExecutionState.Stopped) return HeuristicLab.Common.Resources.VSImageLibrary.ExecutableStopped;
+        else return HeuristicLab.Common.Resources.VSImageLibrary.Event;
       }
     }
Index: /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 5287)
@@ -34,5 +34,5 @@
   public class AlleleFrequencyCollection : ReadOnlyItemCollection<AlleleFrequency> {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Statistics; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Statistics; }
     }
 
Index: /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 5287)
@@ -34,5 +34,5 @@
   public class AlleleFrequencyCollectionHistory : ItemCollection<AlleleFrequencyCollection> {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Cab; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
     }
 
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 5287)
@@ -39,5 +39,5 @@
   public class DataTable : NamedItem, IStringConvertibleMatrix {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Performance; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Performance; }
     }
 
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 5287)
@@ -34,5 +34,5 @@
   public class DataTableHistory : ItemCollection<DataTable> {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Cab; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
     }
 
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 5287)
@@ -32,5 +32,5 @@
   public class HeatMap : DoubleMatrix {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Gradient; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Gradient; }
     }
 
Index: /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 5287)
@@ -34,5 +34,5 @@
   public class HeatMapHistory : ItemCollection<HeatMap> {
     public override Image ItemImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Cab; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Cab; }
     }
 
Index: /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.cs
===================================================================
--- /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.CodeEditor/3.3/CodeEditor.cs	(revision 5287)
@@ -164,14 +164,9 @@
         // if we made it this far, enable on-disk parsing cache
         projectContentRegistry.ActivatePersistence(persistencePath);
-      }
-      catch (NotSupportedException) {
-      }
-      catch (IOException) {
-      }
-      catch (System.Security.SecurityException) {
-      }
-      catch (UnauthorizedAccessException) {
-      }
-      catch (ArgumentException) {
+      } catch (NotSupportedException) {
+      } catch (IOException) {
+      } catch (System.Security.SecurityException) {
+      } catch (UnauthorizedAccessException) {
+      } catch (ArgumentException) {
       }
       projectContent = new Dom.DefaultProjectContent();
@@ -198,11 +193,11 @@
     private void InitializeImageList() {
       imageList1.Images.Clear();
-      imageList1.Images.Add("Icons.16x16.Class.png", VS2008ImageLibrary.Class);
-      imageList1.Images.Add("Icons.16x16.Method.png", VS2008ImageLibrary.Method);
-      imageList1.Images.Add("Icons.16x16.Property.png", VS2008ImageLibrary.Properties);
-      imageList1.Images.Add("Icons.16x16.Field.png", VS2008ImageLibrary.Field);
-      imageList1.Images.Add("Icons.16x16.Enum.png", VS2008ImageLibrary.Enum);
-      imageList1.Images.Add("Icons.16x16.NameSpace.png", VS2008ImageLibrary.Namespace);
-      imageList1.Images.Add("Icons.16x16.Event.png", VS2008ImageLibrary.Event);
+      imageList1.Images.Add("Icons.16x16.Class.png", VSImageLibrary.Class);
+      imageList1.Images.Add("Icons.16x16.Method.png", VSImageLibrary.Method);
+      imageList1.Images.Add("Icons.16x16.Property.png", VSImageLibrary.Properties);
+      imageList1.Images.Add("Icons.16x16.Field.png", VSImageLibrary.Field);
+      imageList1.Images.Add("Icons.16x16.Enum.png", VSImageLibrary.Enum);
+      imageList1.Images.Add("Icons.16x16.NameSpace.png", VSImageLibrary.Namespace);
+      imageList1.Images.Add("Icons.16x16.Event.png", VSImageLibrary.Event);
     }
 
@@ -350,6 +345,5 @@
         lastCompilationUnit = newCompilationUnit;
         parseInformation.SetCompilationUnit(newCompilationUnit);
-      }
-      catch { }
+      } catch { }
     }
 
Index: /trunk/sources/HeuristicLab.Common.Resources/3.3/HeuristicLab.Common.Resources-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Common.Resources/3.3/HeuristicLab.Common.Resources-3.3.csproj	(revision 5286)
+++ /trunk/sources/HeuristicLab.Common.Resources/3.3/HeuristicLab.Common.Resources-3.3.csproj	(revision 5287)
@@ -12,5 +12,6 @@
     <AssemblyName>HeuristicLab.Common.Resources-3.3</AssemblyName>
     <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
-    <TargetFrameworkProfile></TargetFrameworkProfile>
+    <TargetFrameworkProfile>
+    </TargetFrameworkProfile>
     <FileAlignment>512</FileAlignment>
     <SignAssembly>true</SignAssembly>
@@ -115,8 +116,8 @@
     <Compile Include="HeuristicLabCommonResourcesPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="VS2008ImageLibrary.Designer.cs">
+    <Compile Include="VSImageLibrary.Designer.cs">
       <AutoGen>True</AutoGen>
       <DesignTime>True</DesignTime>
-      <DependentUpon>VS2008ImageLibrary.resx</DependentUpon>
+      <DependentUpon>VSImageLibrary.resx</DependentUpon>
     </Compile>
   </ItemGroup>
@@ -136,7 +137,8 @@
       <LastGenOutput>HeuristicLab.Designer.cs</LastGenOutput>
     </EmbeddedResource>
-    <EmbeddedResource Include="VS2008ImageLibrary.resx">
+    <EmbeddedResource Include="VSImageLibrary.resx">
       <Generator>PublicResXFileCodeGenerator</Generator>
-      <LastGenOutput>VS2008ImageLibrary.Designer.cs</LastGenOutput>
+      <LastGenOutput>VSImageLibrary.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
     </EmbeddedResource>
   </ItemGroup>
@@ -428,5 +430,6 @@
   <ItemGroup>
     <Content Include="Resources\VS2008ImageLibrary\VS2008ImageLibrary_Actions_Checkout.png" />
-    <Content Include="Resources\VS2008ImageLibrary\VS2008ImageLibrary_Objects_Clone.png" />
+    <Content Include="Resources\VS2008ImageLibrary\VS2008ImageLibrary_Actions_Clone.png" />
+    <None Include="Resources\VS2010ImageLibrary\VS2010ImageLibrary_Actions_Filter2HS.png" />
     <None Include="Resources\VS2008ImageLibrary\VS2008ImageLibrary_Objects_Cab.png" />
     <None Include="Resources\VS2008ImageLibrary\VS2008ImageLibrary_Actions_Gradient.png" />
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.Designer.cs	(revision 5287)
@@ -120,5 +120,5 @@
       // 
       this.sortDescendingButton.Enabled = false;
-      this.sortDescendingButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.SortUp;
+      this.sortDescendingButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.SortUp;
       this.sortDescendingButton.Location = new System.Drawing.Point(30, 0);
       this.sortDescendingButton.Name = "sortDescendingButton";
@@ -132,5 +132,5 @@
       // 
       this.sortAscendingButton.Enabled = false;
-      this.sortAscendingButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Sort;
+      this.sortAscendingButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Sort;
       this.sortAscendingButton.Location = new System.Drawing.Point(60, 0);
       this.sortAscendingButton.Name = "sortAscendingButton";
@@ -144,5 +144,5 @@
       // 
       this.removeButton.Enabled = false;
-      this.removeButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
+      this.removeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Remove;
       this.removeButton.Location = new System.Drawing.Point(90, 0);
       this.removeButton.Name = "removeButton";
@@ -155,5 +155,5 @@
       // addButton
       // 
-      this.addButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Add;
+      this.addButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Add;
       this.addButton.Location = new System.Drawing.Point(0, 0);
       this.addButton.Name = "addButton";
@@ -166,5 +166,5 @@
       // saveButton
       // 
-      this.saveButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Save;
+      this.saveButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Save;
       this.saveButton.Location = new System.Drawing.Point(120, 0);
       this.saveButton.Name = "saveButton";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.Designer.cs	(revision 5287)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Windows.Forms;
 
@@ -84,5 +83,5 @@
       // 
       this.addButton.Enabled = false;
-      this.addButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Add;
+      this.addButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Add;
       this.addButton.Location = new System.Drawing.Point(3, 3);
       this.addButton.Name = "addButton";
@@ -96,5 +95,5 @@
       // 
       this.moveUpButton.Enabled = false;
-      this.moveUpButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowUp;
+      this.moveUpButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.ArrowUp;
       this.moveUpButton.Location = new System.Drawing.Point(33, 3);
       this.moveUpButton.Name = "moveUpButton";
@@ -108,5 +107,5 @@
       // 
       this.removeButton.Enabled = false;
-      this.removeButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
+      this.removeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Remove;
       this.removeButton.Location = new System.Drawing.Point(93, 3);
       this.removeButton.Name = "removeButton";
@@ -120,5 +119,5 @@
       // 
       this.moveDownButton.Enabled = false;
-      this.moveDownButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowDown;
+      this.moveDownButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.ArrowDown;
       this.moveDownButton.Location = new System.Drawing.Point(63, 3);
       this.moveDownButton.Name = "moveDownButton";
@@ -204,5 +203,5 @@
       this.showDetailsCheckBox.Checked = true;
       this.showDetailsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Properties;
+      this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VSImageLibrary.Properties;
       this.showDetailsCheckBox.Location = new System.Drawing.Point(123, 3);
       this.showDetailsCheckBox.Name = "showDetailsCheckBox";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 5287)
@@ -139,6 +139,5 @@
         try {
           return (T)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
@@ -150,5 +149,5 @@
       if (item == null) {
         listViewItem.Text = "null";
-        itemsListView.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing);
+        itemsListView.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Nothing);
         listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
       } else {
@@ -197,5 +196,5 @@
       T item = listViewItem.Tag as T;
       int i = listViewItem.ImageIndex;
-      listViewItem.ImageList.Images[i] = item == null ? HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing : item.ItemImage;
+      listViewItem.ImageList.Images[i] = item == null ? HeuristicLab.Common.Resources.VSImageLibrary.Nothing : item.ItemImage;
       listViewItem.ImageIndex = -1;
       listViewItem.ImageIndex = i;
@@ -445,5 +444,5 @@
       foreach (ListViewItem listViewItem in itemsListView.Items) {
         T item = listViewItem.Tag as T;
-        itemsListView.SmallImageList.Images.Add(item == null ? HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing : item.ItemImage);
+        itemsListView.SmallImageList.Images.Add(item == null ? HeuristicLab.Common.Resources.VSImageLibrary.Nothing : item.ItemImage);
         listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
       }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.Designer.cs	(revision 5287)
@@ -116,5 +116,5 @@
       // 
       this.sortDescendingButton.Enabled = false;
-      this.sortDescendingButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.SortUp;
+      this.sortDescendingButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.SortUp;
       this.sortDescendingButton.Location = new System.Drawing.Point(33, 3);
       this.sortDescendingButton.Name = "sortDescendingButton";
@@ -128,5 +128,5 @@
       // 
       this.sortAscendingButton.Enabled = false;
-      this.sortAscendingButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Sort;
+      this.sortAscendingButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Sort;
       this.sortAscendingButton.Location = new System.Drawing.Point(63, 3);
       this.sortAscendingButton.Name = "sortAscendingButton";
@@ -140,5 +140,5 @@
       // 
       this.removeButton.Enabled = false;
-      this.removeButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
+      this.removeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Remove;
       this.removeButton.Location = new System.Drawing.Point(93, 3);
       this.removeButton.Name = "removeButton";
@@ -151,5 +151,5 @@
       // addButton
       // 
-      this.addButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Add;
+      this.addButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Add;
       this.addButton.Location = new System.Drawing.Point(3, 3);
       this.addButton.Name = "addButton";
@@ -203,5 +203,5 @@
       this.showDetailsCheckBox.Checked = true;
       this.showDetailsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Properties;
+      this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VSImageLibrary.Properties;
       this.showDetailsCheckBox.Location = new System.Drawing.Point(123, 3);
       this.showDetailsCheckBox.Name = "showDetailsCheckBox";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 5287)
@@ -128,6 +128,5 @@
         try {
           return (T)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
@@ -139,5 +138,5 @@
       if (item == null) {
         listViewItem.Text = "null";
-        itemsListView.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing);
+        itemsListView.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Nothing);
         listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
       } else {
@@ -179,5 +178,5 @@
       T item = listViewItem.Tag as T;
       int i = listViewItem.ImageIndex;
-      listViewItem.ImageList.Images[i] = item == null ? HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing : item.ItemImage;
+      listViewItem.ImageList.Images[i] = item == null ? HeuristicLab.Common.Resources.VSImageLibrary.Nothing : item.ItemImage;
       listViewItem.ImageIndex = -1;
       listViewItem.ImageIndex = i;
@@ -383,5 +382,5 @@
       foreach (ListViewItem listViewItem in itemsListView.Items) {
         T item = listViewItem.Tag as T;
-        itemsListView.SmallImageList.Images.Add(item == null ? HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing : item.ItemImage);
+        itemsListView.SmallImageList.Images.Add(item == null ? HeuristicLab.Common.Resources.VSImageLibrary.Nothing : item.ItemImage);
         listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
       }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.Designer.cs	(revision 5287)
@@ -20,5 +20,4 @@
 #endregion
 
-using System;
 using System.Windows.Forms;
 
@@ -86,5 +85,5 @@
       this.showDetailsCheckBox.Checked = true;
       this.showDetailsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Properties;
+      this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VSImageLibrary.Properties;
       this.showDetailsCheckBox.Location = new System.Drawing.Point(123, 3);
       this.showDetailsCheckBox.Name = "showDetailsCheckBox";
@@ -98,5 +97,5 @@
       // 
       this.removeButton.Enabled = false;
-      this.removeButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Remove;
+      this.removeButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Remove;
       this.removeButton.Location = new System.Drawing.Point(93, 3);
       this.removeButton.Name = "removeButton";
@@ -110,5 +109,5 @@
       // 
       this.moveUpButton.Enabled = false;
-      this.moveUpButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowUp;
+      this.moveUpButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.ArrowUp;
       this.moveUpButton.Location = new System.Drawing.Point(33, 3);
       this.moveUpButton.Name = "moveUpButton";
@@ -122,5 +121,5 @@
       // 
       this.moveDownButton.Enabled = false;
-      this.moveDownButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.ArrowDown;
+      this.moveDownButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.ArrowDown;
       this.moveDownButton.Location = new System.Drawing.Point(63, 3);
       this.moveDownButton.Name = "moveDownButton";
@@ -165,5 +164,5 @@
       // addButton
       // 
-      this.addButton.Image = HeuristicLab.Common.Resources.VS2008ImageLibrary.Add;
+      this.addButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Add;
       this.addButton.Location = new System.Drawing.Point(3, 3);
       this.addButton.Name = "addButton";
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 5286)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 5287)
@@ -142,6 +142,5 @@
         try {
           return (T)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType();
-        }
-        catch (Exception ex) {
+        } catch (Exception ex) {
           ErrorHandling.ShowErrorDialog(this, ex);
         }
@@ -153,5 +152,5 @@
       if (item == null) {
         listViewItem.Text = "null";
-        itemsListView.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing);
+        itemsListView.SmallImageList.Images.Add(HeuristicLab.Common.Resources.VSImageLibrary.Nothing);
         listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
       } else {
@@ -200,5 +199,5 @@
       T item = listViewItem.Tag as T;
       int i = listViewItem.ImageIndex;
-      listViewItem.ImageList.Images[i] = item == null ? HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing : item.ItemImage;
+      listViewItem.ImageList.Images[i] = item == null ? HeuristicLab.Common.Resources.VSImageLibrary.Nothing : item.ItemImage;
       listViewItem.ImageIndex = -1;
       listViewItem.ImageIndex = i;
@@ -462,5 +461,5 @@
       foreach (ListViewItem listViewItem in itemsListView.Items) {
         T item = listViewItem.Tag as T;
-        itemsListView.SmallImageList.Images.Add(item == null ? HeuristicLab.Common.Resources.VS2008ImageLibrary.Nothing : item.ItemImage);
+        itemsListView.SmallImageList.Images.Add(item == null ? HeuristicLab.Common.Resources.VSImageLibrary.Nothing : item.ItemImage);
         listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
       }
